module.exports = function(grunt) {

  grunt.initConfig({ 
    jshint: {
      files: ['js/demo.js'],
      options: {
        // Prohibir use de operadores como ^, |, &
        bitwise: true,
        // Utilizar operadores de identidad === en lugar de operadores de igualdad ==
        eqeqeq: true, 
        // Utilizar llaves para definir bloques de código
        curly: true, 
        // No extender prototipos nativos
        freeze: true, 
        // Elegir un tipo de comillas para el texto
        quotmark: "double", 
        globals: {
          // El código se va a utilizar en el navegador -  DOM c / document -
          browser: true,
          // El código utiliza alert y console para enviar notificaciones
          devel: true
        }
      }
    }
  });

  grunt.loadNpmTasks('grunt-contrib-jshint');  
     
  grunt.registerTask("default", ['jshint']);
};